[SM-Grimoire-Bugs] [Bug 14632] New: libxaw compiled with "--disable-xaw8" when trying to install xorg-server.

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Tue Aug 12 12:57:56 EDT 2008


http://bugs.sourcemage.org/show_bug.cgi?id=14632

           Summary: libxaw compiled with "--disable-xaw8" when trying to
                    install xorg-server.
           Product: Codex
           Version: devel grimoire
          Platform: Other
        OS/Version: All
            Status: NEW
          Severity: minor
          Priority: P2
         Component: xorg-modular
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: fredrik.carlstrom at tele2.se


When trying to install xorg-server in grimoire xorg-modular, libxaw is
installed as a required dependency for bitmap (wich in turn is a required
dependency for xorg-server).
The package bitmap requires that libxaw is compiled with option
"--enable-xaw8", but libxaw is installed with option "--disable-xaw8".
"--enable-xaw8" is an optional dependency on libxp which also are installed as
a dependency for xorg-server.

Perhaps libxaw and libxp are installed in opposite order. I don't know, but
when I first changed the line:

  "libxaw:libxp:off:optional:--enable-xaw8:--disable-xaw8"

to

  "libxaw:libxp:on:optional:--enable-xaw8:--disable-xaw8"

in the tablet file depends for libxaw and in the file
/var/state/sorcery/depends, and then recompiled libxaw (with "cast -c libxaw"),
it worked.


-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list